import { html as f } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, g = Object.getOwnPropertyDescriptor, l = (c, e, s, o) => {
  for (var t = o > 1 ? void 0 : o ? g(e, s) : e, i = c.length - 1, p; i >= 0; i--)
    (p = c[i]) && (t = (o ? p(e, s, t) : p(t)) || t);
  return o && t && a(e, s, t), t;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--logOut", this.class = "c-pieIcon c-pieIcon--logOut", this.name = "IconLogOut";
  }
  render() {
    return f`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--logOut"><path d="M13.906 8a5.906 5.906 0 1 1-8.531-5.25v1.487a4.594 4.594 0 1 0 5.25 0V2.75A5.915 5.915 0 0 1 13.906 8Zm-5.25-7H7.344v5.25h1.312V1Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = l([
  u("icon-log-out")
], r);
export {
  r as IconLogOut
};
